## gtk4 4.12.4+ds

=== debian/changelog ===
gtk4 (4.12.4+ds-3ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/tests:
      + include the memorytexture test in the flaky set, it has been unreliable
    - debian/control, debian/rules:
      + Switch from the CUPS print backend to CPDB

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Dec 2023 20:56:34 -0500

gtk4 (4.12.4+ds-3) unstable; urgency=medium

  * d/control: Remove pandoc build-dependency.
    It isn't needed any more, and pandoc is currently uninstallable in
    unstable (#1057309, #1053686).

 -- Simon McVittie <smcv@debian.org>  Sat, 09 Dec 2023 01:33:26 +0000

gtk4 (4.12.4+ds-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Reinstate Build-Depends on dh-sequence-gnome.
    This is used by Ubuntu to pull in dh_translations.

  [ Simon McVittie ]
  * d/p/gsk-Always-use-RGBA-on-big-endian-architectures.patch:
    Add proposed patch to fix test failure on big-endian CPUs
    (Closes: #1057782)

 -- Simon McVittie <smcv@debian.org>  Fri, 08 Dec 2023 17:36:22 +0000

gtk4 (4.12.4+ds-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/tests:
      + include the memorytexture test in the flaky set, it has been unreliable
    - debian/control:
      + Build-Depend on dh-sequence-translations
    - Switch from the CUPS print backend to CPDB

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Nov 2023 11:00:23 -0500

gtk4 (4.12.4+ds-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Nov 2023 10:58:51 -0500

gtk4 (4.12.3+ds-3ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/tests:
      + include the memorytexture test in the flaky set, it has been unreliable
    - debian/control:
      + Build-Depend on dh-sequence-translations
    - Switch from the CUPS print backend to CPDB

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 23 Nov 2023 09:04:37 -0500

gtk4 (4.12.3+ds-3) unstable; urgency=medium

  * d/control: Build-depend on relevant gir1.2-*-dev virtual packages.
    This will help with eventually converting some or all of them into real
    packages, to allow GIR XML to be omitted when cross-compiling or
    bootstrapping.
  * d/control: Add ${gir:Depends} to -dev package.
    This will add dependencies on gir1.2-pango-1.0-dev and so on.
  * d/control: Use ${gir:Provides} to generate virtual package names

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Nov 2023 11:06:27 +0000

gtk4 (4.12.3+ds-2) unstable; urgency=medium

  * d/rules: Stop generating d/control.in from d/control.
    The variable substitutions obscured more than they really helped.
  * d/rules: Substitute GTK_BINVER_DEP as a substvar rather than using sed
  * lbgtk-4-dev: Add Provides for included GIR XML files.
    Representing these by systematic names gir1.2-*-dev, and perhaps
    eventually separating them into their own binary package, will help
    to enable cross-compilation with GObject-Introspection removed by
    a build profile. (Helps: #1030223)

 -- Simon McVittie <smcv@debian.org>  Thu, 02 Nov 2023 14:47:44 +0000

gtk4 (4.12.3+ds-1ubuntu1) mantic; urgency=medium

  * Merge with Debian (LP: #2038557). Remaining changes:
    - debian/tests:
      + include the memorytexture test in the flaky set, it has been unreliable
    - debian/control:
      + Build-Depend on dh-sequence-translations
    - Switch from the CUPS print backend to CPDB

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 05 Oct 2023 11:27:16 -0400
