=== debian/rules ===
--- 
+++ 
@@ -75,6 +75,10 @@
 	-Dx11-backend=true \
 	${NULL}
 
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+configure_flags_deb += --cross-file=$(DEB_HOST_GNU_TYPE)-gobject-introspection.ini
+endif
+
 ifeq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
 configure_flags_deb += -Dcolord=enabled
 else
@@ -138,12 +142,13 @@
 	-Ddemos=false \
 	-Dbuild-tests=false \
 	-Dinstall-tests=false \
+	-Dintrospection=disabled \
 	-Dwayland-backend=false \
 	-Dx11-backend=true \
 	$(NULL)
 
 %:
-	dh $@ --with gir --buildsystem=meson $(dh_options)
+	dh $@ --buildsystem=meson $(dh_options)
 
 override_dh_clean: debian/control
 	rm -f $(call dh_subst_files,$(all_binaries))
@@ -198,7 +203,7 @@
 test_timeout_multiplier = 10
 endif
 
-ifneq ($(filter m68k riscv64 sh4,$(DEB_HOST_ARCH_CPU)),)
+ifneq ($(filter loong64 m68k riscv64 sh4,$(DEB_HOST_ARCH_CPU)),)
 $(info Architecture with qemu buildds detected, increasing test timeout a lot)
 test_timeout_multiplier = 20
 endif
@@ -279,7 +284,3 @@
 		FUZZY_REFTESTS="$(fuzzy_reftests)" \
 		IGNORE_GSK_COMPARE="$(ignore_gsk_compare)" \
 		IGNORE_REFTESTS="$(ignore_reftests)" \
-		XFAIL_GSK_COMPARE="$(xfail_gsk_compare)" \
-		XFAIL_REFTESTS="$(xfail_reftests)" \
-		BACKENDS="$(test_backends)" \
-	debian/run-tests.sh -t $(test_timeout_multiplier) \
