## gtk4 4.14.2+ds

=== debian/changelog ===
gtk4 (4.14.2+ds-1ubuntu1) noble; urgency=medium

  * Update to the current stable version, remaining changes over Debian
  * debian/ignore.keyfile:
    - increase tolerated-diff-pixels to workaround some tests reftests still
      failing the build on s390x despite being in the ignore list
  * debian/patches/ignore_a11ytext_i386.patch:
    - ignore a11y/text and a11y/textview tests on i386 for now, they
      are failing on the builders for some reason
  * d/p/d/tests-Mark-memorytexture-as-expected-to-fail-on-big-endian.patch:
    - mark also memorytexture as expected to fail on big endian
  * debian/rules:
    - disable gsk tests on i386 and arm since they are currently buggy
    - ignore extra reftests that a now failing on s390x
    - set the test_timeout_multiplier default to 3 instead of 1, some of
      the tests hit the timeout default value even on other archs now

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Apr 2024 21:25:10 +0200

gtk4 (4.14.2+ds-1) experimental; urgency=medium

  * New upstream release. Upload to experimental but the tests situation
    is not ideal. Skip some of testsuites to allow building since it seems
    the gsk tests can hit rounding differences depending of the renderer
    in use an the software rendering stack version and build options.
    We saw tests issue also on Ubuntu for s390x and 32 bits architectures
    but I'm not applying workaround for those in Debian yet because they
    are somehow wrong (especially on 32 bits which seems to have real
    upstream issues) and to see if we get the same errors on the Debian
    builders.
  * Update the packaging to no refer to the ffmpeg experimental backend
    which has been removed upstream now
  * debian/rules:
    - skip the gsk compare suites those seem to be giving inconsistant
      results depending on the rendering stack
    - update for the new convert-emoji syntax
  [ Nathan Pratta Teodosio ]
  * debian/rules:
    - Make Bash scripts in installed-tests/gtk-4.0/tools/ executable
      to fix autopkgtests.

  [ Jeremy Bícha ]
  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Apr 2024 18:09:08 +0200

gtk4 (4.12.5+ds-6) unstable; urgency=medium

  * d/control, d/rules: Reinstate colord integration on 32-bit
  * d/control, d/rules: Reinstate build-time tests on 32-bit
  * d/control, d/tests/build: Prefer pkgconf over pkg-config
  * d/control, d/rules: Make it more obvious that we use the correct
    pkgconf.
    We intentionally compile convert-emoji with the build architecture
    pkgconf, because we need to run it during build, but we do not need
    to install it.
  * d/control, d/rules: Only enable sysprof on architectures that have it.
    See #1067577.

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Mar 2024 14:45:21 +0000

gtk4 (4.12.5+ds-5) unstable; urgency=medium

  * d/rules: Replace deprecated -Ddemos with -Dbuild-demos
  * d/control: Don't build-depend on ffmpeg if we are not going to use it.
    The experimental ffmpeg plugin is only built if selected
    by a build-profile, so put an equivalent condition on the
    build-dependencies.
  * d/control, d/rules: Add a pkg.gtk4.nocolord build-profile.
    This is not a reproducible (or "safe") build profile, because it
    changes the contents of the library rather than merely disabling
    whole binary packages, but it cuts off some long dependency chains
    that can be useful during bootstrapping.
  * Temporarily disable colord integration on 32-bit non-x86.
    For the 64-bit time_t transition. colord is a non-essential feature,
    and has not yet been built because it is stuck behind a dependency
    chain: colord, sane-backends, libgphoto2, graphviz.
  * Temporarily disable build-time tests on 32-bit non-x86.
    weston, among others, has not yet been rebuilt for the 64-bit time_t
    transition.

 -- Simon McVittie <smcv@debian.org>  Thu, 21 Mar 2024 13:34:59 +0000

gtk4 (4.12.5+ds-4) unstable; urgency=medium

  * Add patch to adapt build tests to pango 1.52.0
  * Bump Build-Depend pango to 1.52.0 to match

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 09 Mar 2024 20:18:57 -0500

gtk4 (4.12.5+ds-3) unstable; urgency=medium

  * d/rules: Always use Mesa software rendering during the build.
    We do not expect autobuilders to have hardware GPUs available, and
    forcing software rendering makes build-time tests run by developers
    consistent with build-time tests run on autobuilders.
    This also avoids using Zink, which is not usually available on
    autobuilders either (because there is no hardware Vulkan driver),
    but produces messages on stderr that will make some of our tests fail.
    (Closes: #1064704)

 -- Simon McVittie <smcv@debian.org>  Mon, 26 Feb 2024 13:12:57 +0000

gtk4 (4.12.5+ds-2) unstable; urgency=medium

  * Allow stderr for python3-gi autopkgtests to not fail
    tests for zink warnings emitted by mesa

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 26 Jan 2024 15:19:36 -0500
