=== debian/control ===
--- 
+++ 
@@ -20,20 +20,15 @@
                gir1.2-pango-1.0-dev,
                gir1.2-pangocairo-1.0-dev,
                gir1.2-xlib-2.0-dev,
+               glslc,
                gobject-introspection (>= 1.76.0),
                gobject-introspection (>= 1.78.1-9~) <cross>,
                gsettings-desktop-schemas <!nocheck>,
                iso-codes <!nocheck>,
-               libavcodec-dev [amd64 arm64 armel armhf i386 mips64el ppc64el s390x],
-               libavdevice-dev [amd64 arm64 armel armhf i386 mips64el ppc64el s390x],
-               libavfilter-dev [amd64 arm64 armel armhf i386 mips64el ppc64el s390x],
-               libavformat-dev [amd64 arm64 armel armhf i386 mips64el ppc64el s390x],
-               libavutil-dev [amd64 arm64 armel armhf i386 mips64el ppc64el s390x],
                libcairo2-dev,
-               libcpdb-dev (>= 2.0~b4-0ubuntu3~),
-               libcpdb-frontend-dev (>= 2.0~b4-0ubuntu3~),
-               libcolord-dev,
+               libcolord-dev <!pkg.gtk4.nocolord>,
                libcloudproviders-dev (>= 0.3.1),
+               libcups2-dev,
                libegl1-mesa-dev [linux-any],
                libepoxy-dev,
                libfontconfig-dev,
@@ -46,14 +41,12 @@
                libharfbuzz-dev,
                libjpeg-dev,
                libjson-glib-dev:native,
-               libpango1.0-dev (>= 1.50.0),
+               libpango1.0-dev (>= 1.52.0),
                libpng-dev,
                libpolkit-gobject-1-dev [linux-any],
                librsvg2-common [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el s390x powerpc ppc64 riscv64 sparc64 x32] <!nocheck>,
                librsvg2-dev (>= 2.52.0) [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el s390x powerpc ppc64 riscv64 sparc64 x32],
-               libswresample-dev [amd64 arm64 armel armhf i386 mips64el ppc64el s390x],
-               libswscale-dev [amd64 arm64 armel armhf i386 mips64el ppc64el s390x],
-               libsysprof-capture-4-dev (>= 3.40.1) [linux-any],
+               libsysprof-capture-4-dev (>= 3.40.1) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x powerpc ppc64],
                libtiff-dev,
                libvulkan-dev [linux-any],
                libwayland-dev (>= 1.21.0) [linux-any],
@@ -71,7 +64,8 @@
                libxrandr-dev,
                locales <!nocheck> | locales-all <!nocheck>,
                meson (>= 0.63),
-               pkg-config,
+               pkgconf,
+               pkgconf:native,
                python3-docutils <!nodoc>,
                python3-gi (>= 3.40) <!nocheck>,
                sassc,
@@ -100,7 +94,6 @@
          libgtk-4-common (>= ${source:Version})
 Provides: ${gtk:Provides}
 Recommends: libgtk-4-bin,
-            cpdb-backend-cups (>= 2.0~b4-0ubuntu2~),
             iso-codes,
             librsvg2-common (>= 2.52.0),
             libgtk-4-media-gstreamer,
@@ -194,7 +187,7 @@
          libxkbcommon-dev,
          libxrandr-dev,
          libvulkan-dev [linux-any],
-         pkg-config,
+         pkgconf,
          wayland-protocols (>= 1.32) [linux-any],
          ${gir:Depends},
          ${misc:Depends},
@@ -245,23 +238,6 @@
  .
  This package contains the media module that uses GStreamer as backend.
 
-Package: libgtk-4-media-ffmpeg
-Build-Profiles: <pkg.gtk4.ffmpeg>
-Section: x11
-Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el s390x
-Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Description: FFmpeg media backend for the GTK graphical user interface library
- GTK is a multi-platform toolkit for creating graphical user
- interfaces. Offering a complete set of widgets, GTK is suitable
- for projects ranging from small one-off tools to complete application
- suites.
- .
- This package contains the media module that uses FFmpeg as backend.
- This module is considered incomplete and experimental, and using the
- libgtk-4-media-gstreamer module instead is recommended.
-
 Package: gtk-4-examples
 Build-Profiles: <!noinsttest>
 Section: x11
@@ -318,3 +294,20 @@
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
 
+#Package: gtk-update-icon-cache
+#Section: misc
+#Architecture: any
+#Multi-Arch: foreign
+#Depends: ${misc:Depends},
+#         ${shlibs:Depends}
+#Breaks: libgtk2.0-bin (<< 2.24.30-2),
+#        libgtk-3-bin (<< 3.20.6-1)
+#Replaces: libgtk2.0-bin (<< 2.24.30-2),
+#          libgtk-3-bin (<< 3.20.6-1)
+#Description: icon theme caching utility
+# gtk-update-icon-cache creates mmap()able cache files for icon themes.
+# .
+# GTK can use the cache files created by gtk-update-icon-cache to avoid a lot
+# of system call and disk seek overhead when the application starts. Since the
+# format of the cache files allows them to be mmap()ed shared between multiple
+# applications, the overall memory consumption is reduced as well.
